/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;


/**
 * サーバ情報(優先順)クラス
 * 
 * サーバインスタンスの情報に優先順を追加し保持する
 * 
 *
 */
public class PriorityInfo {
	/** 優先順リスト */
	protected Integer m_priority;	
	/** パーティションNo */
	protected int m_partitionNo;
	
	protected String m_tableSpace = "";
	/**
	 * @return
	 */
	public Integer getPriority() {
		return m_priority;
	}

	/**
	 * @param integer
	 */
	public void setPriority(Integer integer) {
		m_priority = integer;
	}
	

	/**
	 * @return
	 */
	public Integer getPartitionNo() {
		return new Integer(m_partitionNo);
	}

	/**
	 * @param list
	 */
	public void setPartitionNo(int partNo) {
		m_partitionNo = partNo;
	}
	//TODOMASU テーブルスペース名を追加
	/**
	 * @return  lTableSpace
	 */
	public String getTableSpace(){
		return m_tableSpace;
	}
	/**
	 * @param lTableSpace
	 */
	public void setTableSpaceName(String lTableSpace){
		this.m_tableSpace = lTableSpace;
	}
}